org.apache.synapse.transport.certificatevalidation

## Class RevocationVerificationManager

- java.lang.Object
- - org.apache.synapse.transport.certificatevalidation.RevocationVerificationManager

-     public class RevocationVerificationManager
      extends java.lang.Object

  Manager class responsible for verifying certificates. This class will use the available verifiers according to a predefined policy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevocationVerificationManager(java.lang.Integer cacheAllocatedSize, java.lang.Integer cacheDelayMins)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyRevocationStatus(javax.security.cert.X509Certificate[] peerCertificates)` This method first tries to verify the given certificate chain using OCSP since OCSP verification is faster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationVerificationManager

          public RevocationVerificationManager(java.lang.Integer cacheAllocatedSize,
                                               java.lang.Integer cacheDelayMins)

  - ### Method Detail

    - #### verifyRevocationStatus

          public void verifyRevocationStatus(javax.security.cert.X509Certificate[] peerCertificates)
                                      throws CertificateVerificationException

      This method first tries to verify the given certificate chain using OCSP since OCSP verification is faster. If that fails it tries to do the verification using CRL.
      Parameters:
        `peerCertificates` - javax.security.cert.X509Certificate[] array of peer certificate chain from peer/client.
      Throws:
        `CertificateVerificationException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.